let
  sources = import ./nix/sources.nix;
  nixpkgs-mozilla = import sources.nixpkgs-mozilla;
  pkgs = import sources.nixpkgs {
    overlays = [
      nixpkgs-mozilla
      (
        self: super:
          {
            rustc = self.latest.rustChannels.nightly.rust;
            cargo = self.latest.rustChannels.nightly.rust;
          }
      )
    ];
  };
  src = builtins.filterSource
    (path: type: type != "directory" || builtins.baseNameOf path != "target")
    ./.;
  deps = import ./common_deps.nix { inherit pkgs; };
  naersk = pkgs.callPackage sources.naersk {};
in
naersk.buildPackage {
  inherit src;
  buildInputs = deps;
  remapPathPrefix = true;
}
