let
  sources = import ./nix/sources.nix;
  nixpkgs-mozilla = import sources.nixpkgs-mozilla;
  pkgs = import sources.nixpkgs {
    overlays = [
      nixpkgs-mozilla
      (
        self: super:
          {
            rustc = self.latest.rustChannels.nightly.rust;
            cargo = self.latest.rustChannels.nightly.rust;
          }
      )
    ];
  };
  naersk = pkgs.callPackage sources.naersk {};
  deps = import ./common_deps.nix { inherit pkgs; };
in
pkgs.mkShell {
  buildInputs = deps;
}
